dbXML API

## com.dbxml.db.client.xmldb
Class XPathQueryServiceImpl

    java.lang.Object
      com.dbxml.db.client.xmldb.QueryServiceImpl
          com.dbxml.db.client.xmldb.XPathQueryServiceImpl

All Implemented Interfaces:
  org.xmldb.api.base.Configurable, org.xmldb.api.base.Service, org.xmldb.api.modules.XPathQueryService

public final class XPathQueryServiceImpl
extends QueryServiceImpl
implements org.xmldb.api.modules.XPathQueryService

XPathQueryServiceImpl

Constructor Summary
`XPathQueryServiceImpl(CollectionImpl col)`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getVersion()`
`org.xmldb.api.base.ResourceSet` `query(java.lang.String query)`
`org.xmldb.api.base.ResourceSet` `queryResource(java.lang.String id, java.lang.String query)`

Methods inherited from class com.dbxml.db.client.xmldb.QueryServiceImpl
`clearNamespaces, getNamespace, getProperty, removeNamespace, setCollection, setNamespace, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.modules.XPathQueryService
`clearNamespaces, getNamespace, removeNamespace, setNamespace`

Methods inherited from interface org.xmldb.api.base.Service
`setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Constructor Detail

### XPathQueryServiceImpl

    public XPathQueryServiceImpl(CollectionImpl col)

Method Detail

### getName

    public java.lang.String getName()
                             throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getName` in interface `org.xmldb.api.base.Service`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getVersion

    public java.lang.String getVersion()
                                throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getVersion` in interface `org.xmldb.api.base.Service`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### query

    public org.xmldb.api.base.ResourceSet query(java.lang.String query)
                                         throws org.xmldb.api.base.XMLDBException

  Specified by:
    `query` in interface `org.xmldb.api.modules.XPathQueryService`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### queryResource

    public org.xmldb.api.base.ResourceSet queryResource(java.lang.String id,
                                                        java.lang.String query)
                                                 throws org.xmldb.api.base.XMLDBException

  Specified by:
    `queryResource` in interface `org.xmldb.api.modules.XPathQueryService`
  Throws:
    `org.xmldb.api.base.XMLDBException`

dbXML API

Copyright (c) 2004 The dbXML Group